%define api		1
%define	major		0
%define	libname		%mklibname %{name} %api %{major}
%define fammajor	0
%define	libfam		%mklibname fam %{fammajor}
%define develname	%mklibname -d gamin

%define	url_ver		%(echo %{version} | cut -d "." -f -2)

Summary:		Library providing the FAM File Alteration Monitor API
Name:			gamin
Version:		0.1.10
Release:		%mkrel 11
License:		LGPLv2+
Group:			Monitoring
Source0:		http://ftp.gnome.org/sources/%{name}/%{url_ver}/gamin-%{version}.tar.bz2
Patch0:			gamin-0.1.10-automak-1.13.patch
Patch1:			gamin-manape.patch
# (Anssi 01/2012) fix intermittent gam_server deadlock, submitted upstream at
# https://bugzilla.gnome.org/show_bug.cgi?id=667230
Patch2:			gamin-fix-deadlock.patch
URL:			http://www.gnome.org/~veillard/gamin/
Obsoletes:		fam
Provides:		fam
BuildRequires:		glib2-devel
BuildRequires:		python-devel

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n python-%{name}
Summary:		Python bindings for the gamin library
Group:			Development/Python

%description -n python-%{name}
This package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.

%package -n %{libname}
Summary:		Dynamic library for Gamin
Group:			System/Libraries
Requires:		%{name} >= %{version}
Obsoletes:		%{_lib}gamin-1_0 < 0.1.10-9

%description -n %{libname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{libfam}
Summary:                Dynamic library for Gamin
Group:                  System/Libraries
Requires:		%{name} >= %{version}
Conflicts:		%{_lib}gamin-1_0 < 0.1.10-9

%description -n %{libfam}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{develname}
Summary:		Libraries, includes, etc. to embed the Gamin library
Group:			Development/C
Requires:		%{name} = %{version}
Requires:		%{libname} = %{version}
Requires:		%{libfam} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		fam-devel = %{version}-%{release}

%description -n %{develname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%prep
%setup -q
%apply_patches

%build
autoreconf --force --install
%configure2_5x --enable-inotify --disable-static
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog README Copyright TODO
%{_libexecdir}/gam_server

%files -n %{libname}
%{_libdir}/libgamin-%{api}.so.%{major}
%{_libdir}/libgamin-%{api}.so.%{major}.*

%files -n %{libfam}
%{_libdir}/libfam.so.%{fammajor}
%{_libdir}/libfam.so.%{fammajor}.*

%files -n %{develname}
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/lib*.so
%{_libdir}/libgamin_shared.a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc

%files -n python-%{name}
%doc python/tests/*.py
%doc doc/python.html
%py_platsitedir/*gamin*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.1.10-11.mga3
+ Revision: 351038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 fwang <fwang> 0.1.10-10.mga3
+ Revision: 337194
- update file list
- more fix
- fix build with am 1.13
- fix versioned obsoletes and conflicts

* Tue Dec 18 2012 fwang <fwang> 0.1.10-9.mga3
+ Revision: 332379
- update file list
- add req
- split out libfam

* Tue Jan 03 2012 anssi <anssi> 0.1.10-8.mga2
+ Revision: 190205
- fix intermittent gam_server deadlock causing e.g. KDE applications to
  no longer start (fix-deadlock.patch, submitted upstream as gnome
  bug #667230)

* Tue Sep 27 2011 ovitters <ovitters> 0.1.10-7.mga2
+ Revision: 149598
- add fedora patch to fix build
- clean spec file

* Tue Jan 18 2011 pterjan <pterjan> 0.1.10-6.mga1
+ Revision: 21793
- Rebuild for python 2.7
- Revert re-import
- imported package gamin

* Sat Jan 08 2011 blino <blino> 0.1.10-5.mga1
+ Revision: 760
- remove old ldconfig scriptlets
- imported package gamin

